package com.liquidnet.service.kylin.service.admin;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.kylin.dao.FieldMisDetailsDao;
import com.liquidnet.service.kylin.dao.FieldMisListDao;
import com.liquidnet.service.kylin.dto.param.FieldsAuditParam;
import com.liquidnet.service.kylin.dto.param.FieldsParam;
import com.liquidnet.service.kylin.dto.param.FieldsSearchParam;
import com.liquidnet.service.kylin.dto.param.FieldsStatusParam;
import com.liquidnet.service.kylin.dto.vo.FieldsMisDetailsVo;
import com.liquidnet.service.kylin.dto.vo.FieldsMisListVo;
import com.thoughtworks.xstream.core.util.Fields;

import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author hujiachen
 * @since 2021-04-28
 */
public interface KylinFieldsAdminService{

    boolean fieldUpdateMessage(FieldsParam fieldsParam);

    boolean fieldCreate(FieldsParam fieldsParam);

    List<FieldMisListDao> fieldList(FieldsSearchParam fieldsSearchParam);

    Long fieldListCount(FieldsSearchParam fieldsSearchParam);

    FieldMisDetailsDao fieldDetails(String  fieldsId);

    boolean fieldAudit(FieldsAuditParam fieldsAuditParam);

    boolean fieldStatus(FieldsStatusParam fieldsStatusParam);

}
